org.apache.hadoop.fs

## Class QuotaUsage.Builder

- java.lang.Object
- - org.apache.hadoop.fs.QuotaUsage.Builder

- Direct Known Subclasses:
    ContentSummary.Builder
  Enclosing class:
    QuotaUsage

      public static class QuotaUsage.Builder
      extends Object

  Builder class for QuotaUsage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuotaUsage` | `build()`
    `QuotaUsage.Builder` | `fileAndDirectoryCount(long count)`
    `QuotaUsage.Builder` | `quota(long quota)`
    `QuotaUsage.Builder` | `spaceConsumed(long spaceConsumed)`
    `QuotaUsage.Builder` | `spaceQuota(long spaceQuota)`
    `QuotaUsage.Builder` | `typeConsumed(long[] typeConsumed)`
    `QuotaUsage.Builder` | `typeConsumed(StorageType type, long consumed)`
    `QuotaUsage.Builder` | `typeQuota(long[] typeQuota)`
    `QuotaUsage.Builder` | `typeQuota(StorageType type, long quota)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### fileAndDirectoryCount

          public QuotaUsage.Builder fileAndDirectoryCount(long count)

    - #### quota

          public QuotaUsage.Builder quota(long quota)

    - #### spaceConsumed

          public QuotaUsage.Builder spaceConsumed(long spaceConsumed)

    - #### spaceQuota

          public QuotaUsage.Builder spaceQuota(long spaceQuota)

    - #### typeConsumed

          public QuotaUsage.Builder typeConsumed(long[] typeConsumed)

    - #### typeQuota

          public QuotaUsage.Builder typeQuota(StorageType type,
                                              long quota)

    - #### typeConsumed

          public QuotaUsage.Builder typeConsumed(StorageType type,
                                                 long consumed)

    - #### typeQuota

          public QuotaUsage.Builder typeQuota(long[] typeQuota)

    - #### build

          public QuotaUsage build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.